Integrations

Test integration

Test an integration connection and configuration. Accepts: OrgBearerAuth (for admin users), ProjectBearerAuth (JWT for authenticated users), or ApiKeyAuth (X-API-Key for programmatic access). Both ProjectBearerAuth and ApiKeyAuth are fully implemented.

AuthBearer (JWT)
GroupIntegrations
Rate limitSee Rate Limits
POST/api/integrations/projects/{projectId}/integrations/{integrationId}/test

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, IntegrationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const integrations = new IntegrationsApi(configuration);
import { Configuration, IntegrationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const integrations = new IntegrationsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await integrations.testIntegration(
  "proj_mXs7obU0PQtm",
  "0WkGKpjb4k5tN10Q",
  {
    endpoint: "pixel input",
    method: "bus compress",
    params: "port back up"
  }
);
const { data: result } = await integrations.testIntegration(
  "proj_mXs7obU0PQtm",
  "0WkGKpjb4k5tN10Q",
  {
    endpoint: "pixel input",
    method: "bus compress",
    params: "port back up"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
integrationIdstringYes

Request Body

json
{
  "endpoint": "interface parse",
  "method": "firewall quantify",
  "params": {}
}
{
  "endpoint": "interface parse",
  "method": "firewall quantify",
  "params": {}
}

Responses

200Integration test result
json
{
  "success": true,
  "data": {
    "status": 200,
    "response": {}
  }
}
{
  "success": true,
  "data": {
    "status": 200,
    "response": {}
  }
}
400
401

Errors

CodeMeaning
400
401
Edit this page on GitHub